Package org.apache.felix.http.jakartawrappers

# Class ServletRequestWrapper

java.lang.Object
org.apache.felix.http.jakartawrappers.ServletRequestWrapper

All Implemented Interfaces:
  `jakarta.servlet.ServletRequest`

Direct Known Subclasses:
  `HttpServletRequestWrapper`

public class ServletRequestWrapper extends Object implements jakarta.servlet.ServletRequest
Servlet request wrapper

## Constructor Summary

Constructors
Constructor
Description
`ServletRequestWrapper(javax.servlet.ServletRequest r)`
Create a wrapper

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.AsyncContext`
`getAsyncContext()`
`Object`
`getAttribute(String name)`
`Enumeration<String>`
`getAttributeNames()`
`String`
`getCharacterEncoding()`
`int`
`getContentLength()`
`long`
`getContentLengthLong()`
`String`
`getContentType()`
`jakarta.servlet.DispatcherType`
`getDispatcherType()`
`jakarta.servlet.ServletInputStream`
`getInputStream()`
`String`
`getLocalAddr()`
`Locale`
`getLocale()`
`Enumeration<Locale>`
`getLocales()`
`String`
`getLocalName()`
`int`
`getLocalPort()`
`String`
`getParameter(String name)`
`Map<String,String[]>`
`getParameterMap()`
`Enumeration<String>`
`getParameterNames()`
`String[]`
`getParameterValues(String name)`
`String`
`getProtocol()`
`String`
`getProtocolRequestId()`
`BufferedReader`
`getReader()`
`String`
`getRemoteAddr()`
`String`
`getRemoteHost()`
`int`
`getRemotePort()`
`javax.servlet.ServletRequest`
`getRequest()`
Get the request
`jakarta.servlet.RequestDispatcher`
`getRequestDispatcher(String path)`
`String`
`getRequestId()`
`String`
`getScheme()`
`String`
`getServerName()`
`int`
`getServerPort()`
`jakarta.servlet.ServletConnection`
`getServletConnection()`
`jakarta.servlet.ServletContext`
`getServletContext()`
`static String`
`getTranslatedAttributeName(String name)`
`static jakarta.servlet.ServletRequest`
`getWrapper(javax.servlet.ServletRequest r)`
Get the wrapper
`boolean`
`isAsyncStarted()`
`boolean`
`isAsyncSupported()`
`boolean`
`isSecure()`
`void`
`removeAttribute(String name)`
`void`
`setAttribute(String name, Object o)`
`void`
`setCharacterEncoding(String env)`
`jakarta.servlet.AsyncContext`
`startAsync()`
`jakarta.servlet.AsyncContext`
`startAsync(jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.ServletRequest

`setCharacterEncoding`

## Constructor Details

### ServletRequestWrapper

public ServletRequestWrapper(@NotNull javax.servlet.ServletRequest r)
Create a wrapper

Parameters:
  `r` - The wrapped request

## Method Details

### getWrapper

public static jakarta.servlet.ServletRequest getWrapper(javax.servlet.ServletRequest r)
Get the wrapper

Parameters:
  `r` - The request
Returns:
  The wrapped request

### getRequest

public javax.servlet.ServletRequest getRequest()
Get the request

Returns:
  The request

### getTranslatedAttributeName

public static String getTranslatedAttributeName(String name)

### getAttribute

public Object getAttribute(String name)

Specified by:
  `getAttribute` in interface `jakarta.servlet.ServletRequest`

### getAttributeNames

public Enumeration<String> getAttributeNames()

Specified by:
  `getAttributeNames` in interface `jakarta.servlet.ServletRequest`

### getCharacterEncoding

public String getCharacterEncoding()

Specified by:
  `getCharacterEncoding` in interface `jakarta.servlet.ServletRequest`

### setCharacterEncoding

public void setCharacterEncoding(String env) throws UnsupportedEncodingException

Specified by:
  `setCharacterEncoding` in interface `jakarta.servlet.ServletRequest`
Throws:
  `UnsupportedEncodingException`

### getContentLength

public int getContentLength()

Specified by:
  `getContentLength` in interface `jakarta.servlet.ServletRequest`

### getContentLengthLong

public long getContentLengthLong()

Specified by:
  `getContentLengthLong` in interface `jakarta.servlet.ServletRequest`

### getContentType

public String getContentType()

Specified by:
  `getContentType` in interface `jakarta.servlet.ServletRequest`

### getInputStream

public jakarta.servlet.ServletInputStream getInputStream() throws IOException

Specified by:
  `getInputStream` in interface `jakarta.servlet.ServletRequest`
Throws:
  `IOException`

### getParameter

public String getParameter(String name)

Specified by:
  `getParameter` in interface `jakarta.servlet.ServletRequest`

### getParameterNames

public Enumeration<String> getParameterNames()

Specified by:
  `getParameterNames` in interface `jakarta.servlet.ServletRequest`

### getParameterValues

public String[] getParameterValues(String name)

Specified by:
  `getParameterValues` in interface `jakarta.servlet.ServletRequest`

### getParameterMap

public Map<String,String[]> getParameterMap()

Specified by:
  `getParameterMap` in interface `jakarta.servlet.ServletRequest`

### getProtocol

public String getProtocol()

Specified by:
  `getProtocol` in interface `jakarta.servlet.ServletRequest`

### getScheme

public String getScheme()

Specified by:
  `getScheme` in interface `jakarta.servlet.ServletRequest`

### getServerName

public String getServerName()

Specified by:
  `getServerName` in interface `jakarta.servlet.ServletRequest`

### getServerPort

public int getServerPort()

Specified by:
  `getServerPort` in interface `jakarta.servlet.ServletRequest`

### getReader

public BufferedReader getReader() throws IOException

Specified by:
  `getReader` in interface `jakarta.servlet.ServletRequest`
Throws:
  `IOException`

### getRemoteAddr

public String getRemoteAddr()

Specified by:
  `getRemoteAddr` in interface `jakarta.servlet.ServletRequest`

### getRemoteHost

public String getRemoteHost()

Specified by:
  `getRemoteHost` in interface `jakarta.servlet.ServletRequest`

### setAttribute

public void setAttribute(String name, Object o)

Specified by:
  `setAttribute` in interface `jakarta.servlet.ServletRequest`

### removeAttribute

public void removeAttribute(String name)

Specified by:
  `removeAttribute` in interface `jakarta.servlet.ServletRequest`

### getLocale

public Locale getLocale()

Specified by:
  `getLocale` in interface `jakarta.servlet.ServletRequest`

### getLocales

public Enumeration<Locale> getLocales()

Specified by:
  `getLocales` in interface `jakarta.servlet.ServletRequest`

### isSecure

public boolean isSecure()

Specified by:
  `isSecure` in interface `jakarta.servlet.ServletRequest`

### getRequestDispatcher

public jakarta.servlet.RequestDispatcher getRequestDispatcher(String path)

Specified by:
  `getRequestDispatcher` in interface `jakarta.servlet.ServletRequest`

### getRemotePort

public int getRemotePort()

Specified by:
  `getRemotePort` in interface `jakarta.servlet.ServletRequest`

### getLocalName

public String getLocalName()

Specified by:
  `getLocalName` in interface `jakarta.servlet.ServletRequest`

### getLocalAddr

public String getLocalAddr()

Specified by:
  `getLocalAddr` in interface `jakarta.servlet.ServletRequest`

### getLocalPort

public int getLocalPort()

Specified by:
  `getLocalPort` in interface `jakarta.servlet.ServletRequest`

### getServletContext

public jakarta.servlet.ServletContext getServletContext()

Specified by:
  `getServletContext` in interface `jakarta.servlet.ServletRequest`

### startAsync

public jakarta.servlet.AsyncContext startAsync() throws IllegalStateException

Specified by:
  `startAsync` in interface `jakarta.servlet.ServletRequest`
Throws:
  `IllegalStateException`

### startAsync

public jakarta.servlet.AsyncContext startAsync(jakarta.servlet.ServletRequest servletRequest, jakarta.servlet.ServletResponse servletResponse) throws IllegalStateException

Specified by:
  `startAsync` in interface `jakarta.servlet.ServletRequest`
Throws:
  `IllegalStateException`

### isAsyncStarted

public boolean isAsyncStarted()

Specified by:
  `isAsyncStarted` in interface `jakarta.servlet.ServletRequest`

### isAsyncSupported

public boolean isAsyncSupported()

Specified by:
  `isAsyncSupported` in interface `jakarta.servlet.ServletRequest`

### getAsyncContext

public jakarta.servlet.AsyncContext getAsyncContext()

Specified by:
  `getAsyncContext` in interface `jakarta.servlet.ServletRequest`

### getDispatcherType

public jakarta.servlet.DispatcherType getDispatcherType()

Specified by:
  `getDispatcherType` in interface `jakarta.servlet.ServletRequest`

### getProtocolRequestId

public String getProtocolRequestId()

Specified by:
  `getProtocolRequestId` in interface `jakarta.servlet.ServletRequest`

### getRequestId

public String getRequestId()

Specified by:
  `getRequestId` in interface `jakarta.servlet.ServletRequest`

### getServletConnection

public jakarta.servlet.ServletConnection getServletConnection()

Specified by:
  `getServletConnection` in interface `jakarta.servlet.ServletRequest`